package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFIG4 extends MwfRequest<MWFIG4, MWFIG4Response> {

    @Parameter(name = "BankovniUcetDebet")
    MWFIG4 bankovniUcetDebet(String bankovniUcetDebet);
    @Parameter(name = "BankovniUcetKredit")
    MWFIG4 bankovniUcetKredit(String bankovniUcetKredit);
    @Parameter(name = "BlokovatProstredkyNaUctu")
    MWFIG4 blokovatProstredkyNaUctu(String blokovatProstredkyNaUctu);
    @Parameter(name = "CastkaTransakce")
    MWFIG4 castkaTransakce(Double castkaTransakce);
    @Parameter(name = "DatumUskutecneniTransakce")
    MWFIG4 datumUskutecneniTransakce(java.util.Date datumUskutecneniTransakce);
    @Parameter(name = "IDSystemFE")
    MWFIG4 iDSystemFE(String iDSystemFE);
    @Parameter(name = "IDTransakceGEN")
    MWFIG4 iDTransakceGEN(String iDTransakceGEN);
    @Parameter(name = "KonstaktniSymbol")
    MWFIG4 konstaktniSymbol(String konstaktniSymbol);
    @Parameter(name = "Kurz")
    MWFIG4 kurz(Double kurz);
    @Parameter(name = "MenaDebet")
    MWFIG4 menaDebet(String menaDebet);
    @Parameter(name = "MenaKredit")
    MWFIG4 menaKredit(String menaKredit);
    @Parameter(name = "MenaTransakce")
    MWFIG4 menaTransakce(String menaTransakce);
    @Parameter(name = "SpecifickySymbol")
    MWFIG4 specifickySymbol(String specifickySymbol);
    @Parameter(name = "SystemovyZnakProGeneratorID")
    MWFIG4 systemovyZnakProGeneratorID(String systemovyZnakProGeneratorID);
    @Parameter(name = "TypKurzu")
    MWFIG4 typKurzu(String typKurzu);
    @Parameter(name = "VariabilniSymbol")
    MWFIG4 variabilniSymbol(String variabilniSymbol);
    @Parameter(name = "VyzadovatAutorizaci")
    MWFIG4 vyzadovatAutorizaci(String vyzadovatAutorizaci);
    @Parameter(name = "ZpravaAV")
    MWFIG4 zpravaAV(String zpravaAV);
    @Parameter(name = "ZpravaDebet")
    MWFIG4 zpravaDebet(String zpravaDebet);
    @Parameter(name = "ZpravaKredit")
    MWFIG4 zpravaKredit(String zpravaKredit);
}
